---
updatedAt: 2026-04-14T14:36:03.000Z
agentTools:
  siteIndex: https://developer.paymentology.com/llms.txt
  projectIndex: https://developer.paymentology.com/lume/llms.txt
---

# /pws/pws_mc_cb_document/

This resource retrieves documentation for a chargeback

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "PayApi Docs",
    "description": "OpenAPI 3.0 spec for PayAPI with required fields sorted first",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.uat.paymentology.com/ppws/api"
    }
  ],
  "tags": [
    {
      "name": "Chargeback"
    }
  ],
  "paths": {
    "/pws/pws_mc_cb_document/": {
      "post": {
        "tags": [
          "Chargeback"
        ],
        "summary": "Chargeback Document",
        "operationId": "pws_mc_cb_document",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/McCbDocumentPwsModel"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/McCbDocsResponse"
                }
              }
            }
          },
          "404": {
            "description": "Webservices does not exist"
          },
          "500": {
            "description": "Internal Server error"
          }
        },
        "description": "This resource retrieves documentation for a chargeback",
        "x-codeSamples": [
          {
            "lang": "Csharp + Restsharp",
            "source": "var client = new RestClient(\"https://api.uat.paymentology.com/ppws/api/pws/pws_mc_cb_document/\");\nvar request = new RestRequest(Method.POST);\nrequest.AddHeader(\"content-type\", \"application/json\");\nrequest.AddParameter(\"application/json\", \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"chargeBackId\\\":300018439680,\\\"claimId\\\":200002020654,\\\"client_id\\\":760131,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"format\\\":\\\"string\\\"}\", ParameterType.RequestBody);\nIRestResponse response = client.Execute(request);"
          },
          {
            "lang": "Java + Okhttp",
            "source": "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"chargeBackId\\\":300018439680,\\\"claimId\\\":200002020654,\\\"client_id\\\":760131,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"format\\\":\\\"string\\\"}\");\nRequest request = new Request.Builder()\n  .url(\"https://api.uat.paymentology.com/ppws/api/pws/pws_mc_cb_document/\")\n  .post(body)\n  .addHeader(\"content-type\", \"application/json\")\n  .build();\n\nResponse response = client.newCall(request).execute();"
          },
          {
            "lang": "Javascript + Jquery",
            "source": "const settings = {\n  \"async\": true,\n  \"crossDomain\": true,\n  \"url\": \"https://api.uat.paymentology.com/ppws/api/pws/pws_mc_cb_document/\",\n  \"method\": \"POST\",\n  \"headers\": {\n    \"content-type\": \"application/json\"\n  },\n  \"processData\": false,\n  \"data\": \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"chargeBackId\\\":300018439680,\\\"claimId\\\":200002020654,\\\"client_id\\\":760131,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"format\\\":\\\"string\\\"}\"\n};\n\n$.ajax(settings).done(function (response) {\n  console.log(response);\n});"
          },
          {
            "lang": "Php + Http1",
            "source": "<?php\n\n$request = new HttpRequest();\n$request->setUrl('https://api.uat.paymentology.com/ppws/api/pws/pws_mc_cb_document/');\n$request->setMethod(HTTP_METH_POST);\n\n$request->setHeaders([\n  'content-type' => 'application/json'\n]);\n\n$request->setBody('{\"api_call_unique_identifier\":\"438574845790657485\",\"chargeBackId\":300018439680,\"claimId\":200002020654,\"client_id\":760131,\"user_id\":\"string\",\"remarks\":\"string\",\"format\":\"string\"}');\n\ntry {\n  $response = $request->send();\n\n  echo $response->getBody();\n} catch (HttpException $ex) {\n  echo $ex;\n}"
          },
          {
            "lang": "Python + Python3",
            "source": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.uat.paymentology.com\")\n\npayload = \"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"chargeBackId\\\":300018439680,\\\"claimId\\\":200002020654,\\\"client_id\\\":760131,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"format\\\":\\\"string\\\"}\"\n\nheaders = { 'content-type': \"application/json\" }\n\nconn.request(\"POST\", \"/ppws/api/pws/pws_mc_cb_document/\", payload, headers)\n\nres = conn.getresponse()\ndata = res.read()\n\nprint(data.decode(\"utf-8\"))"
          },
          {
            "lang": "Shell + Curl",
            "source": "curl --request POST \\\n  --url https://api.uat.paymentology.com/ppws/api/pws/pws_mc_cb_document/ \\\n  --header 'content-type: application/json' \\\n  --data '{\"api_call_unique_identifier\":\"438574845790657485\",\"chargeBackId\":300018439680,\"claimId\":200002020654,\"client_id\":760131,\"user_id\":\"string\",\"remarks\":\"string\",\"format\":\"string\"}'"
          },
          {
            "lang": "Go + Native",
            "source": "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.uat.paymentology.com/ppws/api/pws/pws_mc_cb_document/\"\n\n\tpayload := strings.NewReader(\"{\\\"api_call_unique_identifier\\\":\\\"438574845790657485\\\",\\\"chargeBackId\\\":300018439680,\\\"claimId\\\":200002020654,\\\"client_id\\\":760131,\\\"user_id\\\":\\\"string\\\",\\\"remarks\\\":\\\"string\\\",\\\"format\\\":\\\"string\\\"}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
          },
          {
            "lang": "Node + Native",
            "source": "const http = require(\"https\");\n\nconst options = {\n  \"method\": \"POST\",\n  \"hostname\": \"uat.banking.live\",\n  \"port\": \"55555\",\n  \"path\": \"/ppws/api/pws/pws_mc_cb_document/\",\n  \"headers\": {\n    \"content-type\": \"application/json\"\n  }\n};\n\nconst req = http.request(options, function (res) {\n  const chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    const body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.write(JSON.stringify({\n  api_call_unique_identifier: '438574845790657485',\n  chargeBackId: 300018439680,\n  claimId: 200002020654,\n  client_id: 760131,\n  user_id: 'string',\n  remarks: 'string',\n  format: 'string'\n}));\nreq.end();"
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ResponseHeaderMCDocs": {
        "type": "object",
        "properties": {
          "error_id": {
            "type": "integer",
            "description": "error id",
            "format": "int32",
            "example": 0
          },
          "error_desc": {
            "type": "string",
            "description": "error message",
            "example": "success"
          }
        }
      },
      "McCbDocumentPwsModel": {
        "required": [
          "api_call_unique_identifier",
          "chargeBackId",
          "claimId",
          "client_id"
        ],
        "type": "object",
        "properties": {
          "api_call_unique_identifier": {
            "maxLength": 40,
            "minLength": 1,
            "type": "string",
            "description": "Unique number that must be passed at each API request. Identifier to make each API request unique",
            "example": "438574845790657485"
          },
          "chargeBackId": {
            "minimum": 1,
            "type": "integer",
            "description": "Chargeback Id",
            "format": "int64",
            "example": 300018439680
          },
          "claimId": {
            "minimum": 1,
            "type": "integer",
            "description": "Claim Id where the chargeback will be added",
            "format": "int64",
            "example": 200002020654
          },
          "client_id": {
            "minimum": 1,
            "type": "integer",
            "description": "Unique identifier for the client which Paymentology will provide at outset",
            "format": "int32",
            "example": 760131
          },
          "user_id": {
            "maxLength": 50,
            "minLength": 0,
            "type": "string",
            "description": "User Id of the Customer who triggered the API request."
          },
          "remarks": {
            "maxLength": 200,
            "minLength": 0,
            "type": "string",
            "description": "Remarks for API request"
          },
          "format": {
            "type": "string"
          }
        }
      },
      "ResponseBodyMCDocs": {
        "type": "object",
        "properties": {
          "fileName": {
            "type": "string",
            "description": "File name",
            "example": "CB_300075264776.zip"
          },
          "fileData": {
            "type": "string",
            "description": "File data in base64 format",
            "example": "UEsDBBQACAgIAMgUmlMAAAAAAAAAAAAAAAAMAAAAYmliZWtfcHAuan"
          }
        }
      },
      "McCbDocsResponse": {
        "type": "object",
        "properties": {
          "header": {
            "$ref": "#/components/schemas/ResponseHeaderMCDocs"
          },
          "body": {
            "$ref": "#/components/schemas/ResponseBodyMCDocs"
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "API",
      "tags": [
        "Overview",
        "Account Structure",
        "Security and Authentication",
        "Required Fields",
        "Error handling/Codes",
        "Curl Request Sample",
        "API 1.0",
        "API 2.0",
        "API 3.0"
      ]
    },
    {
      "name": "API 2.0",
      "tags": [
        "",
        "3DS",
        "Account",
        "Account Groups",
        "Account V2",
        "Apata",
        "Card",
        "Card Groups",
        "Card PaySecure WS",
        "Card PaySecure WS V2",
        "Card PaySecure WS V3",
        "Card V2",
        "Card-v2",
        "Cashback",
        "Chargeback",
        "Chargeback V2",
        "ChargeBack-V2",
        "Credit account status",
        "Credit billing cycle",
        "Credit grace period",
        "Credit interest",
        "Credit limits",
        "Credit test script",
        "Customer",
        "Customer-V2",
        "Decision Engine",
        "Delinquency",
        "EMV",
        "Fees",
        "Group",
        "Health check",
        "Installment",
        "Mada Pay - MadaPay To PTY (Beta)",
        "Mada Pay LCM",
        "MCC",
        "PcjS API Docs V2",
        "Pin-V2",
        "Rules",
        "Rules action",
        "Rules action V2",
        "Rules V2",
        "SCA Contactless Limits",
        "Tokenization customer service",
        "Tokenization Predigitization",
        "Tokenization predigitization lite",
        "Transaction",
        "VCAS",
        "VTS - PTY To Visa",
        "VTS - Visa To PTY",
        "Wallet"
      ]
    },
    {
      "name": "Ledger API",
      "tags": [
        "Ledger API - Cards"
      ]
    },
    {
      "name": "Deprecated",
      "tags": [
        "Rules (Deprecated)"
      ]
    }
  ]
}
```

# Sibling pages

* [/pws/pws\_mc\_cb\_acknowledge/](https://developer.paymentology.com/lume/reference/pws_mc_cb_acknowledge.md)
* [/pws/pws\_mc\_cb\_cancel/](https://developer.paymentology.com/lume/reference/pws_mc_cb_cancel.md)
* [/pws/pws\_mc\_cb\_status/](https://developer.paymentology.com/lume/reference/pws_mc_cb_status.md)
* [/pws/pws\_mc\_get\_claim/](https://developer.paymentology.com/lume/reference/pws_mc_get_claim.md)
* [/pws/pws\_mc\_create\_claim/](https://developer.paymentology.com/lume/reference/pws_mc_create_claim.md)
* [/pws/v2/pws\_mc\_create\_claim/](https://developer.paymentology.com/lume/reference/v2_pws_mc_create_claim.md)
* [/pws/pws\_mc\_health\_check/](https://developer.paymentology.com/lume/reference/pws_mc_health_check.md)
* [/pws/pws\_mc\_datafor\_cb/](https://developer.paymentology.com/lume/reference/pws_mc_datafor_cb.md)
* [/pws/pws\_mc\_cb\_request/](https://developer.paymentology.com/lume/reference/pws_mc_cb_request.md)
* [/pws/v2/pws\_mc\_cb\_request/](https://developer.paymentology.com/lume/reference/v2_pws_mc_cb_request.md)
* [/pws/pws\_mc\_txn\_search/](https://developer.paymentology.com/lume/reference/pws_mc_txn_search.md)
* [/pws/pws\_mc\_cb\_update/](https://developer.paymentology.com/lume/reference/pws_mc_cb_update.md)